%global commit a9b65a6358c07e41ea835bcd22cf1c99a8df470a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gedit-trailsave
Version:        3.1.2
Release:        1%{?dist}
Summary:        Gedit plugin who strip trailing whitespace on save

Group:          Applications/Editors
License:        GPLv2+
URL:            http://github.com/jonleighton/gedit-trailsave
Source0:        https://github.com/jonleighton/gedit-trailsave/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python

Requires:       gedit >= 3
Requires:       python


%description
Gedit plugin who automatically strip all trailing whitespace before saving.


%prep
%setup -qn %{name}-%{commit}


%build


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_libdir}/gedit/plugins/
install trailsave.plugin %{buildroot}%{_libdir}/gedit/plugins/
install trailsave.py %{buildroot}%{_libdir}/gedit/plugins/



%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md
%{_libdir}/gedit/plugins/trailsave.py
%{_libdir}/gedit/plugins/trailsave.pyo
%{_libdir}/gedit/plugins/trailsave.pyc
%{_libdir}/gedit/plugins/trailsave.plugin


%changelog
* Mon May 20 2013 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 3.1.2-1
- Initial packaging
